%define libname_orig	%{name}
%define major	2
%define libname	%mklibname ggi %{major}
%define develname %mklibname ggi -d
%define staticdevel %mklibname ggi -d -s

Summary:	A fast, simple, small and flexible user-space graphics library
Name:		libggi
Version:	2.2.2
Release:	%mkrel 30
License:	GPL
Group:		System/Libraries
# These URLs are no longer valid
URL:		https://www.ggi-project.org/
Source:		https://www.ggi-project.org/ftp/ggi/v2.2/%{name}-%{version}.src.tar.bz2
Patch0:		libggi-2.0.1-no-lcd823-ppc.patch
Patch3:		libggi-2.0.3-xpath.patch
Patch4:		libggi_wformat.patch
BuildRequires:	libgii-devel >= 1.0.2-2
BuildRequires:	aalib-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(xext)
BuildConflicts:	svgalib-devel

%description
LibGGI is a fast, simple, small and flexible user-space graphics
library developed by the GGI Project <https://www.ggi-project.org/>.
It attempts to abstract the many different graphics output systems
existing under Unix (and in the future, other platforms). The support
for all of these different types of displays and hardware are provided
by dynamically-loaded mini-libraries.

LibGGI can transparently (to the LibGGI-using application) display
graphics on an X window, fbcon (Linux framebuffer driver), or the
glide library, through their respective graphics drivers, or targets.
There are also some other targets which display through another
target, such as multi to display simultaneously on multiple displays
at once, and tile to tile your display to different monitors.

LibGGI supports acceleration of graphics primitives where possible.

LibGGI is a very generic piece of software, that will run on about
every platform that has remotely heard of POSIX (ports to other systems
such as Win32 are underway) and on many display subsystems.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release} libgii-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d ggi 2

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{staticdevel}
Summary:	Static Library for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname -d -s ggi 2
Provides:	%name-static-devel = %version-%release

%description -n	%{staticdevel}
This package contains the static library that programmers will need to develop
applications which will use %{name}.

%prep

%setup -q
%patch -P 0 -p1 -b .ppc
%patch -P 3 -p1 -b .xpath
%patch -P 4 -p1 -b .wformat

perl -pi -e "s|/lib\b|/%{_lib}|g" * m4/*

# regenerate configure script
#./autogen.sh < borked

%build
# workaround configure failure
export echo=echo
%configure	--with-gii=%{_prefix} \
		--disable-debug --enable-static
%make_build

%install
# workaround failure
export echo=echo
%make_install

find %{buildroot} -name '*.la' | xargs rm

%files
%doc FAQ NEWS README doc/env.txt doc/targets.txt
%dir %{_sysconfdir}/ggi/
%dir %{_sysconfdir}/ggi/targets
%config(noreplace) %{_sysconfdir}/ggi/libggi.conf
%config(noreplace) %{_sysconfdir}/ggi/targets/fbdev.conf
%{_bindir}/*
%dir %{_libdir}/ggi/
%dir %{_libdir}/ggi/default/
%dir %{_libdir}/ggi/default/fbdev
%dir %{_libdir}/ggi/display
%dir %{_libdir}/ggi/helper
%{_libdir}/ggi/*/*.so
%{_libdir}/ggi/default/fbdev/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog doc/*.txt
%{_includedir}/ggi/*
%{_libdir}/*.so

%files -n %{staticdevel}
%{_libdir}/*.a


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.2.2-30.mga10
+ Revision: 2127704
- Rebuild for patchN deprecation

* Tue Mar 29 2022 umeabot <umeabot> 2.2.2-29.mga9
+ Revision: 1832057
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 2.2.2-28.mga8
+ Revision: 1616837
- remove arm fix

* Thu Feb 13 2020 umeabot <umeabot> 2.2.2-27.mga8
+ Revision: 1514104
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.2-26.mga7
+ Revision: 1298868
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.2.2-25.mga7
+ Revision: 1233911
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 2.2.2-24.mga6
+ Revision: 955466
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.2.2-23.mga6
+ Revision: 918231
- remove obsolete BR DirectFB-devel

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-22.mga5
+ Revision: 740785
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-21.mga5
+ Revision: 681484
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.2-20.mga4
+ Revision: 506962
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.2-19.mga3
+ Revision: 357211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 fwang <fwang> 2.2.2-18.mga2
+ Revision: 158153
- drop conflict files

* Sun Sep 18 2011 fwang <fwang> 2.2.2-17.mga2
+ Revision: 144858
- drop .la files
+ ahmad <ahmad>
- drop old/unneeded scriptlets; use generic BR
- imported package libggi

